#{extends 'borderNG.html' /}

<div class="breadcrumb">&{'ukpbj.identitas'}</div>
<div class="content">
#{alert /}
#{form @admin.UkpbjCtr.simpanIdentitas(), method:'POST'}
    <div class="form-group row">
        <label class="col-lg-2 col-form-label">Nama<span class="warning"> *</span></label>
        <div class="col-lg-10">
            <input type="text" name="ukpbj.nama" size="40" maxlength="80" value="${ukpbj?.nama}" class="form-control #{validate 'ukpbj.nama'/}">
            <div class="invalid-feedback">#{error 'ukpbj.nama' /}</div>
        </div>
    </div>

    <div class="form-group">
        <label class="col-lg-2 control-label">&{'ukpbj.alamat'}<span class="warning"> *</span></label>
        <div class="col-lg-10 #{errorClass 'ukpbj.alamat'/}">
            <textarea name="ukpbj.alamat" cols="25" rows="4" class="form-control">${ukpbj?.alamat}</textarea>
            <span class="help-block">#{error 'ukpbj.alamat' /}</span>
        </div>
    </div>

    <div class="form-group">
        <label class="col-lg-2 control-label">&{'ukpbj.telepon'} <span class="warning"> *</span></label>
        <div class="col-lg-10 #{errorClass 'ukpbj.telepon'/}">
            <input type="text" name="ukpbj.telepon" size="40" maxlength="80" value="${ukpbj?.telepon}" class="form-control">
            <span class="help-block">#{error 'ukpbj.telepon' /}</span>
        </div>
    </div>

    <div class="form-group">
        <label class="col-lg-2 control-label">&{'ukpbj.fak'} </label>
        <div class="col-lg-10 #{errorClass 'ukpbj.fax'/}">
            <input type="text" name="ukpbj.fax" size="40" maxlength="80" value="${ukpbj?.fax}" class="form-control">
            <span class="help-block">#{error 'ukpbj.fax' /}</span>
        </div>
    </div>

    <div class="form-group">
        <label class="col-lg-2 control-label">&{'ukpbj.tanggal_daftar'}<span class="warning"> *</span></label>
        <div class="col-lg-10 #{errorClass 'ukpbj.tgl_daftar'/}">
            <div class="input-group date width-normal">
                <input name="ukpbj.tgl_daftar" type="text" value="${ukpbj?.tgl_daftar?.toDatepicker()}"
                       class="form-control  #{validate 'ukpbj.tgl_daftar'/}"/>
                <div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
                <div class="invalid-feedback">#{error 'ukpbj.tgl_daftar' /}</div>
            </div>
        </div>
    </div>
  <div class="form-group">
    <label class="col-lg-2 control-label">&{'ukpbj.penanggung_jawab'}</label>
    <div class="col-lg-10">
       <p class="form-control-static">${pegawai?.peg_nama}</p>
    </div>
  </div>
  <div class="form-group">
    <label class="col-lg-2 control-label">&{'ukpbj.nip'}</label>
    <div class="col-lg-10">
    	<p class="form-control-static">${pegawai?.peg_nip}</p>

    </div>
  </div>
  <div class="form-group row">
    <div class="col-lg-offset-2 col-lg-10">      
        #{saveButton /}
        #{backButton action:@controllers.BerandaCtr.index() /}
    </div>
  </div>         
#{/form}

<div class="bs-callout bs-callout-warning"><span class="warning">*</span> &{'ukpbj.harus_diisi'} </div>
</div>

#{set 'custom_script'}
<script type="text/javascript"> 
	var kabUrl = #{jsRoute @JSONCtr.daftar_kabupaten(':id') /};
	$(document).on('change', '#propinsi', function(){
	      var id = $(this).val();
	      $.getJSON(kabUrl.url({id:id}), function(data){
		      var options = '';
		      for (var i = 0; i < data.length; i++) {
		        options += '<option value="' + data[i].id + '">' + data[i].label + '</option>';
		      }
		      $('#kabupaten').html(options);
		      $('#kabupaten').selectpicker('refresh');
	     })
	})
</script>
#{/set}
